// source: client/call.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var common_pb = require('../common_pb.js');
goog.object.extend(proto, common_pb);
goog.exportSymbol('proto.com.freeje.api.client.CallNumber', null, global);
goog.exportSymbol('proto.com.freeje.api.client.RegistrationCredentials', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.com.freeje.api.client.RegistrationCredentials = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.com.freeje.api.client.RegistrationCredentials, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.com.freeje.api.client.RegistrationCredentials.displayName = 'proto.com.freeje.api.client.RegistrationCredentials';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.com.freeje.api.client.CallNumber = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.com.freeje.api.client.CallNumber, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.com.freeje.api.client.CallNumber.displayName = 'proto.com.freeje.api.client.CallNumber';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.com.freeje.api.client.RegistrationCredentials.prototype.toObject = function(opt_includeInstance) {
  return proto.com.freeje.api.client.RegistrationCredentials.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.com.freeje.api.client.RegistrationCredentials} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.com.freeje.api.client.RegistrationCredentials.toObject = function(includeInstance, msg) {
  var f, obj = {
    sipuri: jspb.Message.getFieldWithDefault(msg, 1, ""),
    wssuri: jspb.Message.getFieldWithDefault(msg, 2, ""),
    login: jspb.Message.getFieldWithDefault(msg, 3, ""),
    passowrd: jspb.Message.getFieldWithDefault(msg, 4, "")
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.com.freeje.api.client.RegistrationCredentials}
 */
proto.com.freeje.api.client.RegistrationCredentials.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.com.freeje.api.client.RegistrationCredentials;
  return proto.com.freeje.api.client.RegistrationCredentials.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.com.freeje.api.client.RegistrationCredentials} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.com.freeje.api.client.RegistrationCredentials}
 */
proto.com.freeje.api.client.RegistrationCredentials.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {string} */ (reader.readString());
      msg.setSipuri(value);
      break;
    case 2:
      var value = /** @type {string} */ (reader.readString());
      msg.setWssuri(value);
      break;
    case 3:
      var value = /** @type {string} */ (reader.readString());
      msg.setLogin(value);
      break;
    case 4:
      var value = /** @type {string} */ (reader.readString());
      msg.setPassowrd(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.com.freeje.api.client.RegistrationCredentials.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.com.freeje.api.client.RegistrationCredentials.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.com.freeje.api.client.RegistrationCredentials} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.com.freeje.api.client.RegistrationCredentials.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getSipuri();
  if (f.length > 0) {
    writer.writeString(
      1,
      f
    );
  }
  f = message.getWssuri();
  if (f.length > 0) {
    writer.writeString(
      2,
      f
    );
  }
  f = message.getLogin();
  if (f.length > 0) {
    writer.writeString(
      3,
      f
    );
  }
  f = message.getPassowrd();
  if (f.length > 0) {
    writer.writeString(
      4,
      f
    );
  }
};


/**
 * optional string sipuri = 1;
 * @return {string}
 */
proto.com.freeje.api.client.RegistrationCredentials.prototype.getSipuri = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 1, ""));
};


/**
 * @param {string} value
 * @return {!proto.com.freeje.api.client.RegistrationCredentials} returns this
 */
proto.com.freeje.api.client.RegistrationCredentials.prototype.setSipuri = function(value) {
  return jspb.Message.setProto3StringField(this, 1, value);
};


/**
 * optional string wssuri = 2;
 * @return {string}
 */
proto.com.freeje.api.client.RegistrationCredentials.prototype.getWssuri = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 2, ""));
};


/**
 * @param {string} value
 * @return {!proto.com.freeje.api.client.RegistrationCredentials} returns this
 */
proto.com.freeje.api.client.RegistrationCredentials.prototype.setWssuri = function(value) {
  return jspb.Message.setProto3StringField(this, 2, value);
};


/**
 * optional string login = 3;
 * @return {string}
 */
proto.com.freeje.api.client.RegistrationCredentials.prototype.getLogin = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 3, ""));
};


/**
 * @param {string} value
 * @return {!proto.com.freeje.api.client.RegistrationCredentials} returns this
 */
proto.com.freeje.api.client.RegistrationCredentials.prototype.setLogin = function(value) {
  return jspb.Message.setProto3StringField(this, 3, value);
};


/**
 * optional string passowrd = 4;
 * @return {string}
 */
proto.com.freeje.api.client.RegistrationCredentials.prototype.getPassowrd = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 4, ""));
};


/**
 * @param {string} value
 * @return {!proto.com.freeje.api.client.RegistrationCredentials} returns this
 */
proto.com.freeje.api.client.RegistrationCredentials.prototype.setPassowrd = function(value) {
  return jspb.Message.setProto3StringField(this, 4, value);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.com.freeje.api.client.CallNumber.prototype.toObject = function(opt_includeInstance) {
  return proto.com.freeje.api.client.CallNumber.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.com.freeje.api.client.CallNumber} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.com.freeje.api.client.CallNumber.toObject = function(includeInstance, msg) {
  var f, obj = {
    dial: jspb.Message.getFieldWithDefault(msg, 1, ""),
    price: (f = msg.getPrice()) && common_pb.DidPrice.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.com.freeje.api.client.CallNumber}
 */
proto.com.freeje.api.client.CallNumber.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.com.freeje.api.client.CallNumber;
  return proto.com.freeje.api.client.CallNumber.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.com.freeje.api.client.CallNumber} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.com.freeje.api.client.CallNumber}
 */
proto.com.freeje.api.client.CallNumber.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {string} */ (reader.readString());
      msg.setDial(value);
      break;
    case 2:
      var value = new common_pb.DidPrice;
      reader.readMessage(value,common_pb.DidPrice.deserializeBinaryFromReader);
      msg.setPrice(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.com.freeje.api.client.CallNumber.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.com.freeje.api.client.CallNumber.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.com.freeje.api.client.CallNumber} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.com.freeje.api.client.CallNumber.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getDial();
  if (f.length > 0) {
    writer.writeString(
      1,
      f
    );
  }
  f = message.getPrice();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      common_pb.DidPrice.serializeBinaryToWriter
    );
  }
};


/**
 * optional string dial = 1;
 * @return {string}
 */
proto.com.freeje.api.client.CallNumber.prototype.getDial = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 1, ""));
};


/**
 * @param {string} value
 * @return {!proto.com.freeje.api.client.CallNumber} returns this
 */
proto.com.freeje.api.client.CallNumber.prototype.setDial = function(value) {
  return jspb.Message.setProto3StringField(this, 1, value);
};


/**
 * optional com.freeje.DidPrice price = 2;
 * @return {?proto.com.freeje.DidPrice}
 */
proto.com.freeje.api.client.CallNumber.prototype.getPrice = function() {
  return /** @type{?proto.com.freeje.DidPrice} */ (
    jspb.Message.getWrapperField(this, common_pb.DidPrice, 2));
};


/**
 * @param {?proto.com.freeje.DidPrice|undefined} value
 * @return {!proto.com.freeje.api.client.CallNumber} returns this
*/
proto.com.freeje.api.client.CallNumber.prototype.setPrice = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.com.freeje.api.client.CallNumber} returns this
 */
proto.com.freeje.api.client.CallNumber.prototype.clearPrice = function() {
  return this.setPrice(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.com.freeje.api.client.CallNumber.prototype.hasPrice = function() {
  return jspb.Message.getField(this, 2) != null;
};


goog.object.extend(exports, proto.com.freeje.api.client);
